Unverified Commit 4a77ca95 authored by Robert Scott's avatar Robert Scott Committed by GitHub
Browse files

Merge pull request #230115 from shyim/update-opensearch

opensearch: 2.6.0 -> 2.7.0
parents fb052675 5ebd9561
Loading
Loading
Loading
Loading
+6 −3
Original line number Diff line number Diff line
@@ -14,16 +14,15 @@

stdenvNoCC.mkDerivation rec {
  pname = "opensearch";
  version = "2.6.0";
  version = "2.7.0";

  src = fetchurl {
    url = "https://artifacts.opensearch.org/releases/bundle/opensearch/${version}/opensearch-${version}-linux-x64.tar.gz";
    hash = "sha256-qJrgWF8JCR4jmnF239gaiRr4Y7Tin0TyYjzxd1Q4Wko";
    hash = "sha256-qghqFcwfGDtKVyJW3Hb9Ad8UPh2dfhzxwyCZOp7mGmM=";
  };

  nativeBuildInputs = [ makeWrapper ];
  buildInputs = [ jre_headless util-linux ];
  patches = [./opensearch-home-fix.patch ];

  installPhase = ''
    runHook preInstall
@@ -49,6 +48,10 @@ stdenvNoCC.mkDerivation rec {
  meta = {
    description = "Open Source, Distributed, RESTful Search Engine";
    homepage = "https://github.com/opensearch-project/OpenSearch";
    sourceProvenance = with lib.sourceTypes; [
      binaryBytecode
      binaryNativeCode
    ];
    license = lib.licenses.asl20;
    platforms = lib.platforms.unix;
    maintainers = with lib.maintainers; [ shyim ];
+0 −26
Original line number Diff line number Diff line
diff -Naur a/bin/opensearch-env b/bin/opensearch-env
--- a/bin/opensearch-env	2017-12-12 13:31:51.000000000 +0100
+++ b/bin/opensearch-env	2017-12-18 19:51:12.282809695 +0100
@@ -19,18 +19,10 @@
   fi
 done
 
-# determine OpenSearch home; to do this, we strip from the path until we find
-# bin, and then strip bin (there is an assumption here that there is no nested
-# directory under bin also named bin)
-OPENSEARCH_HOME=`dirname "$SCRIPT"`
-
-# now make OPENSEARCH_HOME absolute
-OPENSEARCH_HOME=`cd "$OPENSEARCH_HOME"; pwd`
-
-while [ "`basename "$OPENSEARCH_HOME"`" != "bin" ]; do
-  OPENSEARCH_HOME=`dirname "$OPENSEARCH_HOME"`
-done
-OPENSEARCH_HOME=`dirname "$OPENSEARCH_HOME"`
+if [ -z "$OPENSEARCH_HOME" ]; then
+    echo "You must set the OPENSEARCH_HOME var" >&2
+    exit 1
+fi
 
 # now set the classpath
 OPENSEARCH_CLASSPATH="$OPENSEARCH_HOME/lib/*"
 No newline at end of file